task filtered_benchmark {
	File chromo_consensus
	File LCL5_info_dir
	File LCL5_benchmark_call
	String chromo
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		# get filtered chr and pos
		cat ${chromo_consensus} | cut -f1-7 | grep notConsensus > ${chromo}.filtered.txt
		cat ${chromo_consensus} | cut -f1-7 | grep '\./\.' >> ${chromo}.filtered.txt
		# get benchmark chr and pos
		zcat ${LCL5_benchmark_call} | grep -v '##' | grep -w ${chromo} > LCL5.benchmark.${chromo}.txt
		# get vcf infomation
		cat ${LCL5_info_dir}/Quartet_DNA_BGI_SEQ2000_BGI_LCL5_1_20180518_mendelian_vcfInfo.vcf | grep -v '##' > Quartet_DNA_BGI_SEQ2000_BGI_LCL5_1_20180518_mendelian_vcfInfo.txt
		python /opt/get_filtered_benchmark_vcfinfo.py -filtered ${chromo}.filtered.txt -benchmark LCL5.benchmark.${chromo}.txt -vcf Quartet_DNA_BGI_SEQ2000_BGI_LCL5_1_20180518_mendelian_vcfInfo.txt -filename Quartet_DNA_BGI_SEQ2000_BGI_LCL5_1_20180518.${chromo}

		cat ${LCL5_info_dir}/Quartet_DNA_BGI_SEQ2000_BGI_LCL5_2_20180530_mendelian_vcfInfo.vcf | grep -v '##' > Quartet_DNA_BGI_SEQ2000_BGI_LCL5_2_20180530_mendelian_vcfInfo.txt
		python /opt/get_filtered_benchmark_vcfinfo.py -filtered ${chromo}.filtered.txt -benchmark LCL5.benchmark.${chromo}.txt -vcf Quartet_DNA_BGI_SEQ2000_BGI_LCL5_2_20180530_mendelian_vcfInfo.txt -filename Quartet_DNA_BGI_SEQ2000_BGI_LCL5_2_20180530.${chromo}

		cat ${LCL5_info_dir}/Quartet_DNA_BGI_SEQ2000_BGI_LCL5_3_20180530_mendelian_vcfInfo.vcf | grep -v '##' > 
		Quartet_DNA_BGI_SEQ2000_BGI_LCL5_3_20180530_mendelian_vcfInfo.txt
		python /opt/get_filtered_benchmark_vcfinfo.py -filtered ${chromo}.filtered.txt -benchmark LCL5.benchmark.${chromo}.txt -vcf Quartet_DNA_BGI_SEQ2000_BGI_LCL5_3_20180530_mendelian_vcfInfo.txt -filename Quartet_DNA_BGI_SEQ2000_BGI_LCL5_3_20180530.${chromo}

	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File filtered = "${chromo}.filtered.txt"
		File benchmark = "LCL5.benchmark.${chromo}.txt"
		Array[File] filtered_vcf = glob("*.${chromo}.filtered.txt")
		Array[File] benchmark_vcf = glob("*.${chromo}.benchmark.txt")
	}

}